export declare type LottieValue = string | number | Array<string | number>;
export interface LottieData {
    [k: string]: LottieValue | LottieData;
    [k: number]: LottieValue | LottieData;
}
export declare type Config = {
    copy?: boolean;
    dropKeyList?: string[];
    numberFixLength?: number;
};
interface ILottieJSONLayer {
    id: string | number;
    [k: string]: LottieValue | LottieData;
    [k: number]: LottieValue | LottieData;
}
interface ILottieJSONAsset {
    id: string | number;
    u?: string;
    p?: string;
    e?: number;
    w?: number;
    h?: number;
    layers?: ILottieJSONLayer[];
}
export interface ILottieJSON {
    fr: number;
    ip: number;
    op: number;
    assets: ILottieJSONAsset[];
    layers: ILottieJSONLayer[];
    markers: LottieData[];
}
export {};
